[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [Libvir] libvirt not compatible with Xen-unstable hypercall API ?



On Tue, Mar 27, 2007 at 10:27:23AM +0900, Atsushi SAKAI wrote:
> Hi, Jerone.
> 
> Thank you for your info.
> It needs to fix, I will fix this issue.
> (I check up to xen-3.0.4 but for xen-3.0.5 is not yet.
> The structure changes from xen-3.0.4 to xen-3.0.5.) 

Yes as Dan Berrange pointed out that's something in our TODO list.
It's a good idea to start working on a patch if you have time for
this, but note that I won't apply it until 3.0.5 is officially 
released, in the past we have seen hypervisor call changes just
before releases, so...

> But I hope xen_internal.c should switch libxc.
> Any reason of libvirt stay on original code? 

  First libxc is GPL'ed and libvirt is LGPL'ed, if we relied on 
libxc that would affect any program using libvirt from a licencing
point of view, making it far less attractive in my opinion.
  Second we aim at providing compatibility with any released version
of the xen hypervisor, so when 3.0.5 is out we will need to adapt the
code again and check the hypervisor_version (and subversion) and possibly
add more switch cases to handle the new version.

Daniel

-- 
Red Hat Virtualization group http://redhat.com/virtualization/
Daniel Veillard      | virtualization library  http://libvirt.org/
veillard redhat com  | libxml GNOME XML XSLT toolkit  http://xmlsoft.org/
http://veillard.com/ | Rpmfind RPM search engine  http://rpmfind.net/


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]